
Testing - Bug # 53

Status: Closed Priority: Should have
Author: Robert Lemke Category:
Created: 2007-05-24 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Subject: TestRunner throws ReflectionException (PHP6)
Description

The TestRunner throws a ReflectionException, no matter what testcase I try to run. It tries to create a new ReflectionClass for a non
existing class name - however it gets that class name (with the asian characters) from the get_declared_classes() function.

Fatal error: Uncaught exception 'ReflectionException' with message 'Class 慪慶敟捸灥楴湯 does not exist' in
/Users/Shared/Sites/t3dev/typo3_5.0/typo3_5.0/Packages/Testing/Classes/T3P_Testing_TestRunner.php:68 Stack trace: #0
/Users/Shared/Sites/t3dev/typo3_5.0/typo3_5.0/Packages/Testing/Classes/T3P_Testing_TestRunner.php(68):
ReflectionClass->+construct('慪慶敟捸灥楴湯?෍ˤ??') #1
/Users/Shared/Sites/t3dev/typo3_5.0/typo3_5.0/Packages/Framework/Classes/TYPO3.php(109): T3P_Testing_TestRunner->run() #2
/Users/Shared/Sites/t3dev/typo3_5.0/typo3_5.0/index.php(32): TYPO3->run() #3 {main} thrown in
/Users/Shared/Sites/t3dev/typo3_5.0/typo3_5.0/Packages/Testing/Classes/T3P_Testing_TestRunner.php on line 68

History
#1 - 2007-05-24 09:29 - Robert Lemke

I supposed that this is a PHP bug and issued a bug report:
http://bugs.php.net/bug.php?id=41482

#2 - 2007-05-24 09:32 - Robert Lemke
(In r226) 
    -  Framework: Raised the required PHP version to 6.0.0 - I don't see another way at the moment as we already need important features of PHP6
and can't code around it.
    -  Testing: Added a check for the existance of a class to avoid the ReflectionException. Addresses #53.

#3 - 2007-12-06 17:23 - Robert Lemke
- Status changed from New to Closed
- Sprint set to fixed

#4 - 2008-07-01 17:24 - Robert Lemke
- Target version deleted (1)
